summaryrefslogtreecommitdiffstats
path: root/bridge/lib/bridge/bin/destroy
diff options
context:
space:
mode:
Diffstat (limited to 'bridge/lib/bridge/bin/destroy')
-rwxr-xr-xbridge/lib/bridge/bin/destroy12
1 files changed, 12 insertions, 0 deletions
diff --git a/bridge/lib/bridge/bin/destroy b/bridge/lib/bridge/bin/destroy
new file mode 100755
index 00000000..dffdbd8a
--- /dev/null
+++ b/bridge/lib/bridge/bin/destroy
@@ -0,0 +1,12 @@
+#! /bin/sh
+#
+# Destroy a session.
+#
+## SYNOPSIS
+#
+# bridge destroy SESSION
+#
+# Note that this may destroy similar named sessions (by implication / tmux)
+#
+set -euf
+tmux -L bridge kill-session -t "$1"